Redmine On Apache

Added by Devon Fritz almost 11 years ago

Hello all,

I have successfully installed Redmine 1.1.2 and gotten it to work with the webrick server.

I am trying to install it on Apache (I am using: http://www.redmine.org/projects/redmine/wiki/HowTo_configure_Apache_to_run_Redmine), but am unfamiliar with Apache so am stumbling a bit. I have followed the instructions (with the exception of the mod_cgi part) and have gotten the site to show up, but I only see the Directory listing instead of the login page. I am guessing that this has to do with the mod_cgi not enabled, but I am not sure as this is out of my comfort zone. Also, I doubt this is helpful, but I did not setup an apache user, so I assume apache runs in the context of whatever the default is (I am not sure how to check).

I am not sure if this helps, but when I try to run public/dispatch.cgi I get:
./../config/../vendor/rails/railties/lib/rails/gem_dependency.rb:119:Warning: Gem::Dependency#version_requirements is deprecated and will be removed on or after August 2010. Use #requirement
/var/lib/gems/1.8/gems/rails-2.3.5/lib/dispatcher.rb:24: warning: already initialized constant Dispatcher
/srv/redmine-1.1.2/vendor/rails/actionpack/lib/action_controller/cgi_process.rb:22:in `__send__': undefined method `env_table' for nil:NilClass (NoMethodError)
from /srv/redmine-1.1.2/vendor/rails/actionpack/lib/action_controller/cgi_process.rb:22:in `dispatch_cgi'
from /srv/redmine-1.1.2/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:101:in `dispatch_cgi'
from /srv/redmine-1.1.2/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:27:in `dispatch'
from ./dispatch.cgi:10

Thanks so much!
Devon

Replies (1)

RE: Redmine On Apache - Added by Devon Fritz almost 11 years ago

I didn't see the section: Ubuntu Server (Version ?) (This not don't work for 8.04 LTS)

Running sudo aptitude install libapache2-mod-passenger solved my problem. Thanks!

(1-1/1)